*{
    margin: 0px;
    padding: 0px;
    text-decoration: none;
    list-style:none;
    outline: none;
    box-sizing: border-box;
}

body {
    padding-top: 0rem;
}

.sp-nav-shell{
    width: 1200px;
    height: 70px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.type-li-name{
    font-size: 17px;
    /* color: #6F7377; */
    color: #363636;
}

.type-li-name-action{
    color: #05111F;
}

.type-li-icon{
    display: inline-block;
    width: 16px;
    height: 4px;
    /* background-color: #fff; */
    background-color: #bdbdbd;
    border-radius: 5px;
    margin-top: 5px;
}

.sp-nav{
    background-color: #bdbdbd;
    box-shadow: 0px 4px 5px -1px #959595;
}

.type-li-icon-action{
    /* background-color: #E92525; */
    background-color: #6383a1;
}


.type-li-shell{
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
}

.sp-nav-type-ul{
    display: flex;
    align-items: center;
}

.type-li:first-child{
    padding-left: 30px;
}

.type-li{
    padding-right: 30px;
}

.type-sigin{
    font-size: 15px;
    color: #6F7377;
    cursor: pointer;
    position: relative;
    top: -3px;
}

.sp-nav-left{
    display: flex;
    align-items: center;
}


.ts{
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 180px;
    height: 50px;
    background-color: #000000a6;
    color: #fff;
    margin: auto;
    border-radius: 5px;
    display: none;
    z-index: 9;
}

.ts-shell{
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: center;
    font-size: 15px;
}


.sp-nav-li{
    position: absolute;
    width: 100px;
    /* background-color: white; */
    display: none;
    flex-direction: column;
    color: #727272;
    height: 100px;
    font-size: 14px;
    background-color: #bdbdbd;
}

.sp-nav-li:hover{
    display: flex;
}

.sp-nav-list-shell{
    color: #555;
    cursor: pointer;
}

.sp-nav-name{
    font-size: 14px;
}

.sp-nav-list-shell:hover +.sp-nav-li{
    display: flex;
}


.sp-nav-list{
    position: relative;
    display: none;
}

.sp-nav-li-shell{
    display: flex;
    flex-direction: column;
    width: 70px;
    margin: 0 auto;
    padding-top: 20px;
}

.sp-nav-li-name{
    height: 35px;
    line-height: 34px;
    /* color: #727272; */
    color: #3c3c3c;
}

.sp-nav-li-name:hover{
    color: #1a8beb;
    text-decoration:none;
}

.code{
    display: flex;
    justify-content: center;
    text-align: center;
}


.code-shell{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 30px;
    align-items: center;
}

.code-image{
    margin-top: 30px;
    font-size: 16px;
    color: #4a4a4a;
    padding-bottom: 20px;
}

.code-image-shell{
    width: 240px;
    height: 240px;
    object-fit: cover;
}


.code-ts{
    padding-top: 30px;
    color: #bd7474;
    font-size: 14px;
}

.index-name{
    margin-left: 50px;
    position: relative;
    top: -3px;
    color: #05111F;
    font-size: 17px;
}

.index-name:hover{
    text-decoration:none;
}

.justify-content-li{
    justify-content: flex-start !important;
}


.type{
    position: fixed;
    top: 0px;
    z-index: 99999;
    height: 100vh;
    width: 100%;
    display: none;
}

.type-shell{
    display: flex;
    width: 100%;
    height: 100vh;
}

.type-left{
    width: 50%;
    background-color: #fff;
}

.type-right{
    width: 50%;
    background-color: rgba(0,0,0,0.2);
}

.type-left-top{
    width: 100%;
    display: flex;
    justify-content: center;
    padding-top: 20px;
}

.type-left-li{
    display: flex;
    justify-content: center;
    font-size: 16px;
    height: 50px;
    line-height: 50px;
}

.type-left-a{
    color: #05111F;
}

.type-left-bott{
    padding-top: 20px;
}

.mnav-type{
    display: flex;
    align-items: center;
  }

  .mnav-type-title{
    margin-left: 5px;
  }
  
  .sp-nav-type{
    width: 25px;
 }

 .mnav-type{
    display: none;
 }
@media screen and (max-width:1200px) {
    .mnav-type {
        display: flex;
    }
    .sp-nav-shell{
        width:92%;
    }
    body{
        padding-top: 0px !important;
    }
    .sp-nav-log,.index-name,.sp-nav-type-ul{
        display: none;
    }

    .sp-nav-li {
        right: -15px;
    }
    
    .sp-nav-list-shell:hover +.sp-nav-li{
        display: inline;
    }
    
 }